<?php

/**
 * @package         TweetMe
 * @version         1.2.3 Free
 * 
 * @author          Tassos Marinos <info@tassos.gr>
 * @link            http://www.tassos.gr
 * @copyright       Copyright © 2016 Tassos Marinos All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
*/

defined('_JEXEC') or die;
jimport('joomla.plugin.plugin');
jimport('joomla.filesystem.file');

require_once(__DIR__ . "/nr.social.boxes.php");

/**
 *  TweetMe main Class
 */
class plgSystemTweetMe extends NRSocialBoxes
{

    /**
     *  Plugin tag syntax
     *  Used in the curly bracket syntax {plugin}..{/plugin}
     *
     *  @var  string
     */
    protected $tag = "tweetme";

    /**
     *  Twitter URL Share constructor
     *  https://dev.twitter.com/web/tweet-button/web-intent
     *
     *  @param   String  $url     The URL to share
     *  @param   String  $text    The Text to use
     *  @param   Object  $params  Parameters object
     *
     *  @return  String           Final URL to share
     */
    protected function tweetmeURL($url, $text, $params)
    {
        
        $text     = $this->makeSafe($text, array());

        

        $data = array(
            
            'url'      => $url,
            'text'     => $text

        );
        
        return "https://twitter.com/intent/tweet?" . http_build_query($data);
    }

    
}
